com.jscape.inet.mft.subsystems.authentication

## Class Credentials

- java.lang.Object
- - com.jscape.inet.mft.subsystems.authentication.Credentials

-     public class Credentials
      extends java.lang.Object

  Authentication credentials.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Credentials(java.lang.String login, java.lang.String password, java.lang.String clientIp, java.lang.String domain)` Creates a new credentials instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientIp()` Returns client socket IP.
    `java.lang.String` | `getDomain()` Returns domain name.
    `java.lang.String` | `getLogin()` Returns user login.
    `java.lang.String` | `getPassword()` Returns user password.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Credentials

          public Credentials(java.lang.String login,
                             java.lang.String password,
                             java.lang.String clientIp,
                             java.lang.String domain)

      Creates a new credentials instance.
      Parameters:
        `login` - user login
        `password` - user password
        `clientIp` - client socket IP address
        `domain` - domain name

  - ### Method Detail

    - #### getLogin

          public java.lang.String getLogin()

      Returns user login.
      Returns:
        user login

    - #### getPassword

          public java.lang.String getPassword()

      Returns user password.
      Returns:
        user password

    - #### getClientIp

          public java.lang.String getClientIp()

      Returns client socket IP.
      Returns:
        client socket IP

    - #### getDomain

          public java.lang.String getDomain()

      Returns domain name.
      Returns:
        domain name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.